package com.docus.bgts.facade;


import com.baomidou.mybatisplus.extension.service.IService;
import com.docus.bgts.entity.AfCollectTask;
import com.docus.bgts.entity.ReportDownDto;

/**
 * <p>
 * 病案采集任务 服务类
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
public interface IAfCollectTaskService extends IService<AfCollectTask> {
    /**
     * 获取病案id通过报告唯一单号
     */
    String getpatientIdByEmpId(String empId);

    void insert(ReportDownDto reportDownDto);

    void updateInterfaceCollect(String collectSubId, int state);
}
