package com.docus.bgts.facade;

import javax.xml.rpc.ServiceException;
import java.io.UnsupportedEncodingException;
import java.rmi.RemoteException;

public interface IBgtsService {
    /**
     * 采集
     * @param empId
     */
    void collect(String empId, String collectSubId) throws Exception;

    /**
     * 按需采集
     * @param emamNo
     * @param empId
     * @throws UnsupportedEncodingException
     * @throws RemoteException
     * @throws ServiceException
     */
    void collectByExamNo(String emamNo, String empId, String collectSubId) throws UnsupportedEncodingException, RemoteException, ServiceException, Exception;
}
